> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/it/powershell-commands/set-rdmentryprivatekey.md).

# Set-RDMEntryPrivateKey

Set-RDMEntryPrivateKey imposta le chiavi pubblica e privata su una voce di credenziali SSH di Remote Desktop Manager.

### Sinossi

Impostare le chiavi pubblica e privata in una voce

### Sintassi

#### \_\_AllParameterSets

```
Set-RDMEntryPrivateKey [-Key] <PSSSHKey> -InputObject <PSConnection> [-PassThru] [-Set]
 [-VaultMode <VaultMode>] [-ForcePromptAnswer <DialogResult[]>] [-WhatIf] [-Confirm]
 [<CommonParameters>]
```

### Descrizione

Impostare le chiavi pubblica e privata di una voce. Il parametro Key deve essere generato con il cmdlet New-RDMSshKey. Il parametro InputObject accetta l'ID della voce oppure un oggetto voce restituito dal cmdlet Get-RDMEntry. Per usare questo cmdlet, l'utente deve avere l'autorizzazione a modificare la voce o ad aggiungerne una nuova. Sono supportate solo le credenziali PrivateKey.

### Esempi

#### Esempio 1

```powershell
PS C:\> $entryId = '12345678-1234-1234-1234-123412345678'
PS C:\> $newKey = New-RDMSshKey -Algorithm RSA -Format PKCS1 -Size 2048
PS C:\> Set-RDMEntryPrivateKey -Key $newKey -InputObject $entryId -Set
```

Modificare le chiavi pubblica e privata e rendere privata una voce di credenziali SSH esistente

#### Esempio 2

```powershell
PS C:\> $newKey = New-RDMSshKey -Algorithm RSA -Format PKCS1 -Size 2048
PS C:\> $entry = New-RDMEntry -Name 'MyNewEntry' -Type Credential
PS C:\> $entry.Credentials.CredentialType = 'PrivateKey'
PS C:\> Set-RDMEntryPrivateKey -Key $newKey -InputObject $entry -Set
```

Salvare una nuova voce di credenziali SSH con le chiavi pubblica e privata generate

### Parametri

#### -Confirm

Richiede una conferma prima di eseguire il cmdlet.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: False
SupportsWildcards: false
Aliases:
- cf
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -ForcePromptAnswer

Opzione da usare con cautela. Risponderà automaticamente ai prompt che pongono domande sì/no, sì/no/annulla oppure ok/annulla. In caso di più prompt, è possibile passare più valori a questo parametro. Ecco i valori accettati:

* Yes: accetta il prompt. Copre i valori OK e Automatic.
* No: rifiuta il prompt sì/no/annulla. "Cancel" è l'opzione di ripiego se non è presente l'opzione "No".
* Cancel: annulla il prompt sì/no/annulla. "No" è l'opzione di ripiego se non è presente l'opzione "Cancel".

```yaml
Type: System.Windows.Forms.DialogResult[]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -InputObject

Voce su cui impostare le chiavi pubblica e privata.

```yaml
Type: RemoteDesktopManager.PowerShellModule.PSOutputObject.PSConnection
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: true
  ValueFromPipeline: true
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Key

Oggetto chiave ottenuto da New-RDMSshKey

```yaml
Type: RemoteDesktopManager.PowerShellModule.PSOutputObject.PSSSHKey
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 0
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -PassThru

Consente al cmdlet di restituire in output gli oggetti che ha elaborato, utile per ulteriori elaborazioni nella pipeline o per l'ispezione.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Set

Salvare la voce modificata

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -VaultMode

Cassaforte in cui verrà applicato il comando. Sono offerte tre scelte: - Default: cassaforte corrente impostata. - User: cassaforte specifica dell'utente corrente. - Global: cassaforte globale dello spazio di lavoro.

```yaml
Type: Devolutions.RemoteDesktopManager.VaultMode
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -WhatIf

Mostra cosa accadrebbe se il cmdlet venisse eseguito. Il cmdlet non viene eseguito.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: False
SupportsWildcards: false
Aliases:
- wi
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Questo cmdlet supporta i parametri comuni: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction e -WarningVariable. Per maggiori informazioni, veda [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Input

#### RemoteDesktopManager.PowerShellModule.PSOutputObject.PSConnection

Voce da modificare. Specificata dal suo ID oppure ottenuta da Get-RDMEntry.

### Output

#### RemoteDesktopManager.PowerShellModule.PSOutputObject.PSConnection

Oggetto PSConnection restituito quando si usa PassThru

### Note

Per maggiori informazioni, digiti "Get-Help Set-RDMEntryPrivateKey -detailed". Per informazioni tecniche, digiti "Get-Help Set-RDMEntryPrivateKey -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/it/powershell-commands/set-rdmentryprivatekey.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
